Last Comment Bug 702629 - aria-orientation should be applied to slider and separator roles
: aria-orientation should be applied to slider and separator roles
Status: RESOLVED FIXED
: access
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla11
Assigned To: alexander :surkov
:
Mentors:
Depends on:
Blocks: aria
  Show dependency treegraph
 
Reported: 2011-11-15 07:45 PST by alexander :surkov
Modified: 2012-02-01 14:00 PST (History)
1 user (show)
mzehe: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (5.24 KB, patch)
2011-11-15 21:18 PST, alexander :surkov
mzehe: review+
Details | Diff | Splinter Review

Description alexander :surkov 2011-11-15 07:45:41 PST
spec: http://www.w3.org/TR/2010/WD-wai-aria-20100916/states_and_properties#aria-orientation

also: default value is horizontal (not vertical as we have currently)
Comment 1 alexander :surkov 2011-11-15 21:18:34 PST
Created attachment 574787 [details] [diff] [review]
patch
Comment 2 Marco Zehe (:MarcoZ) on PTO until August 15 2011-11-16 03:07:30 PST
Comment on attachment 574787 [details] [diff] [review]
patch

r=me thanks
Comment 3 alexander :surkov 2011-11-17 18:42:46 PST
inbound land https://hg.mozilla.org/integration/mozilla-inbound/rev/6b64a0bcf0bb
Comment 4 Ed Morley [:emorley] 2011-11-18 03:26:01 PST
https://hg.mozilla.org/mozilla-central/rev/6b64a0bcf0bb

Note You need to log in before you can comment on or make changes to this bug.